import './style.scss';

export default new Class({
	Extends: Hedera.Form,
	Template: require('./ui.xml')
	
	,_timeoutId: null

	,onModelStatusChange() {
		if (!this.$.sessions.ready)
			return;

		if (this._timeoutId)
			clearTimeout(this._timeoutId);
			
		this._timeoutId = setTimeout(
			() => this.$.sessions.refresh(), 60000);
	}
	
	,deactivate() {
		clearTimeout(this._timeoutId);
	}

	,async onChangeUserClick(userName) {
		await this.gui.supplantUser(userName);
		this.hash.setAll({form: 'ecomerce/orders'});
	}
	
	,sessionsFunc() {
		return 1;
	}
});

